Skip to main content
`Ctrl`+`K`

# PetscBenchRegister

Adds a benchmark test, `PetscBenchType`, to the `PetscBench` package

## Synopsis

    #include "petscbm.h"
    PetscErrorCode PetscBenchRegister(const char sname[], PetscErrorCode (*function)(PetscBench bm))

Not Collective, No Fortran Support

## Input Parameters

- sname - name of a new benchmark

- function - routine to create benchmark

## Calling sequence of function

- bm - the `PetscBench` to be created

## Note

`PetscBenchRegister()` may be called multiple times

## See Also

`PetscBenchInitializePackage()`, `PetscBenchCreate()`, `PetscBench`, `PetscBenchType`, `PetscBenchSetType()`, `PetscBenchGetType()`

## Level

advanced

## Location

src/sys/classes/bm/interfaces/bm.c

Index of all BM routines
Table of Contents for all manual pages
Index of all manual pages